BlueZ SDP Payload Processing Multiple Buffer Overflow Vulnerabilities

Bugtraq ID: 30105
Class: Boundary Condition Error
CVE: CVE-2008-2374
Remote: Yes
Local: No
Published: Jun 16 2008 12:00AM
Updated: Mar 17 2009 06:46PM
Credit: Glenn Durfee
Vulnerable: S.u.S.E. openSUSE 11.0
S.u.S.E. openSUSE 10.3
S.u.S.E. openSUSE 10.2
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux Desktop Workstation 5 client
RedHat Enterprise Linux 5 server
RedHat Desktop 4.0
Red Hat Fedora 9
Red Hat Fedora 8
Red Hat Enterprise Linux Desktop 5 client
Red Hat Enterprise Linux AS 4
Mandriva Linux Mandrake 2008.1 x86_64
Mandriva Linux Mandrake 2008.1
Mandriva Linux Mandrake 2008.0 x86_64
Mandriva Linux Mandrake 2008.0
Mandriva Linux Mandrake 2007.1 x86_64
Mandriva Linux Mandrake 2007.1
Gentoo Linux
BlueZ bluez-utils 3.34
BlueZ bluez-libs 3.34
BlueZ BlueZ 3.34
Not Vulnerable: BlueZ bluez-utils 3.35
BlueZ bluez-libs 3.35


 

Privacy Statement
Copyright 2010, SecurityFocus